'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactAddonsCssTransitionGroup = require('react-addons-css-transition-group');

var _reactAddonsCssTransitionGroup2 = _interopRequireDefault(_reactAddonsCssTransitionGroup);

require('./style.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Modal = function (_Component) {
    _inherits(Modal, _Component);

    function Modal(props) {
        _classCallCheck(this, Modal);

        var _this = _possibleConstructorReturn(this, (Modal.__proto__ || Object.getPrototypeOf(Modal)).call(this, props));

        _this.handleModalBackgroundClick = function (e) {
            if (e.target.classList[0] == "Modal-Background" && _this.props.hideModal) {
                _this.props.hideModal();
            }
        };

        _this.onAction1Clicked = function () {
            if (_this.props.onAction1Clicked) {
                _this.props.onAction1Clicked();
            }
        };

        _this.onAction2Clicked = function () {
            if (_this.props.onAction2Clicked) {
                _this.props.onAction2Clicked();
            }
        };

        _this.headerColor = function () {
            switch (_this.props.type) {
                case 'Warning':
                    return 'Modal-Container-Header-warning';
                    break;

                default:
                    return '';
                    break;
            }
        };

        _this.renderAction1Button = function () {
            if (_this.props.action1) {
                return _react2.default.createElement(
                    'div',
                    { onClick: _this.onAction1Clicked, className: 'Modal-Container-Footer-Action Modal-Container-Footer-Action1' },
                    _this.props.action1 ? _this.props.action1 : ''
                );
            } else {
                return '';
            }
        };

        _this.renderAction2Button = function () {
            if (_this.props.action2) {
                return _react2.default.createElement(
                    'div',
                    { onClick: _this.onAction2Clicked, className: 'Modal-Container-Footer-Action Modal-Container-Footer-Action2' },
                    _this.props.action2 ? _this.props.action2 : ''
                );
            } else {
                return '';
            }
        };

        _this.renderModal = function () {
            if (_this.props.showModal) {
                return _react2.default.createElement(
                    'div',
                    { onClick: _this.handleModalBackgroundClick,
                        className: "Modal-Background " + _this.props.ClassModalContainerBackground },
                    _react2.default.createElement(
                        _reactAddonsCssTransitionGroup2.default,
                        {
                            transitionName: 'Modal',
                            transitionAppear: true,
                            transitionAppearTimeout: 1000,
                            transitionLeaveTimeout: 1000
                        },
                        _react2.default.createElement(
                            'div',
                            { className: "Modal-Container " + _this.props.ClassModalContainer },
                            _react2.default.createElement(
                                'div',
                                { className: "Modal-Container-Header  " + _this.props.ClassModalContainerHeader + ' ' + _this.headerColor() },
                                _this.props.ModalName ? _this.props.ModalName : 'Modal Name'
                            ),
                            _react2.default.createElement(
                                'div',
                                { className: "Modal-Container-Body " + _this.props.ClassModalContainerBody },
                                _this.props.children
                            ),
                            _react2.default.createElement(
                                'div',
                                { className: "Modal-Container-Footer " + _this.props.ClassModalContainerFooter },
                                _this.renderAction1Button(),
                                _this.renderAction2Button()
                            )
                        )
                    )
                );
            } else {
                return _react2.default.createElement('div', null);
            }
        };

        _this.state = {};
        return _this;
    }

    _createClass(Modal, [{
        key: 'render',
        value: function render() {
            return this.renderModal();
        }
    }]);

    return Modal;
}(_react.Component);

exports.default = Modal;